# Uses of Class
org.springframework.context.event.ContextClosedEvent

Packages that use ContextClosedEvent
Package
Description
org.springframework.scheduling.concurrent
Scheduling convenience classes for the `java.util.concurrent` and `jakarta.enterprise.concurrent` packages, allowing to set up a ThreadPoolExecutor or ScheduledThreadPoolExecutor as a bean in a Spring context.

## Uses of ContextClosedEvent in org.springframework.scheduling.concurrent

Methods in org.springframework.scheduling.concurrent with parameters of type ContextClosedEvent
Modifier and Type
Method
Description
`void`
ExecutorConfigurationSupport.`onApplicationEvent(ContextClosedEvent event)`
`ContextClosedEvent` handler for initiating an early shutdown.
`void`
SimpleAsyncTaskScheduler.`onApplicationEvent(ContextClosedEvent event)`